# B2B Virtual Account Payment Method
Flexible and secure payment method for B2B market segments using virtual accounts.

## Version: 1

### Servers

| URL | Description |
| --- | ----------- |
| https://sandbox.api.visa.com | Sandbox server |

---
## Payment Service
The Payment web service is used for processing payments and sending payment remittance information to the appropriate suppliers.

### [POST] /vpa/v1/payment/GetPaymentDetailURL
**Get Payment Detail URL**

#### Request Body

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"buyerId"**: string, **"clientId"**: string, **"messageId"**: string, **"accountNumber"**: string, **"originalMessageId"**: string }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 201 | Created | **application/json**: { **"GetPaymentURLResponse"**: { **"url"**: string, **"messageId"**: string, **"statusCode"**: string, **"statusDesc"**: string } }<br> |
| 400 | Error Codes | **application/json**: { **"GURL001"**: object, **"GURL003"**: object, **"GURL004"**: object, **"GURL005"**: object, **"GURL025"**: object, **"GURL030"**: object, **"GURL035"**: object, **"GURL043"**: object, **"GURL161"**: object, **"GURL165"**: object, **"GURL166"**: object, **"GURL167"**: object }<br> |
